aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/config/netifd/files/sbin/.svn/text-base/devstatus.svn-base
diff options
context:
space:
mode:
Diffstat (limited to 'package/network/config/netifd/files/sbin/.svn/text-base/devstatus.svn-base')
-rw-r--r--package/network/config/netifd/files/sbin/.svn/text-base/devstatus.svn-base12
1 files changed, 12 insertions, 0 deletions
diff --git a/package/network/config/netifd/files/sbin/.svn/text-base/devstatus.svn-base b/package/network/config/netifd/files/sbin/.svn/text-base/devstatus.svn-base
new file mode 100644
index 0000000..3c35b26
--- /dev/null
+++ b/package/network/config/netifd/files/sbin/.svn/text-base/devstatus.svn-base
@@ -0,0 +1,12 @@
+#!/bin/sh
+. /usr/share/libubox/jshn.sh
+DEVICE="$1"
+
+[ -n "$DEVICE" ] || {
+ echo "Usage: $0 <device>"
+ exit 1
+}
+
+json_init
+json_add_string name "$DEVICE"
+ubus call network.device status "$(json_dump)"